import 'package:flutter/material.dart';

import 'package:senior_design_system/senior_design_system.dart';

import '../widgets/page_wrapper.dart';
import '../widgets/panel.dart';

class PinCodeFieldExample extends StatelessWidget {
  PinCodeFieldExample({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Pin Code Field',
      child: SingleChildScrollView(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Panel(
              title: 'Visible content',
              child: Center(
                child: SeniorPinCodeField(
                  length: 6,
                  onDone: (value) {
                    ScaffoldMessenger.of(context).showSnackBar(
                      SeniorSnackBar.success(
                        message: 'Preenchido ($value)',
                      ),
                    );
                  },
                ),
              ),
            ),
            Panel(
              title: 'Invisible content',
              child: Center(
                child: SeniorPinCodeField(
                  length: 3,
                  hideCaracter: true,
                  onTextChanged: (value) {
                    ScaffoldMessenger.of(context).showSnackBar(
                      SeniorSnackBar.message(
                        message: 'Alterado ($value)',
                      ),
                    );
                  },
                ),
              ),
            ),
            Panel(
              title: 'Disabled',
              child: Center(
                child: SeniorPinCodeField(
                  length: 5,
                  disabled: true,
                  controller: TextEditingController(text: '12345'),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
